package xtools.boot.core.interfaces;

/**
 * <p>Title : JobInterface</p>
 * <p>Description : JobInterface</p>
 * <p>DevelopTools : Idea_x64_v2026.1</p>
 * <p>DevelopSystem : macOS Sequoia 15.7.5</p>
 * <p>Company : org.xujun</p>
 *
 * @author : XuJun
 * @version : 5.0.0
 * @date : 2026/3/12 20:52
 */
public interface JobInterface {

    /**
     * 执行任务
     *
     * @throws Exception 任务执行异常
     */
    void execute() throws Exception;

    /**
     * 初始化任务
     */
    default void init() {
    }

    /**
     * 销毁任务
     */
    default void destroy() {
    }
}
